### Hierarchy

- Notification
  - Toast

### Implements

- OnInit

## Index

### Inputs

- notificationObj

### Outputs

- close

### Constructors

- constructor

### Properties

- _notificationObj
- close
- componentRef
- experimental
- i18n
- notification
- notificationClass
- notificationDisplayService
- notificationID
- notificationObj
- role
- toastClass
- toastID
- toastCount

### Accessors

- isCloseHidden
- isError
- isInfo
- isLowContrast
- isSuccess
- isWarning

### Methods

- destroy
- ngOnInit
- onClick
- onClose

### Object literals

- defaultNotificationObj

## Constructors

### constructor

- new Toast(notificationDisplayService: NotificationDisplayService, i18n: I18n, experimental: ExperimentalService): Toast

- Overrides Notification.constructor

  - Defined in src/notification/toast.component.ts:86

  #### Parameters

  - ##### notificationDisplayService: NotificationDisplayService

  - ##### i18n: I18n

  - ##### experimental: ExperimentalService

  #### Returns Toast

## Properties

### Protected _notificationObj

_notificationObj: NotificationContent = Object.assign({}, this.defaultNotificationObj)

Inherited from Notification._notificationObj

- Defined in src/notification/notification.component.ts:129

### close

@Output()
close: EventEmitter<any> = new EventEmitter()

Inherited from Notification.close

- Defined in src/notification/notification.component.ts:104

### componentRef

componentRef: ComponentRef<Notification>

Inherited from Notification.componentRef

- Defined in src/notification/notification.component.ts:106

### Protected experimental

experimental: ExperimentalService

- Defined in src/notification/toast.component.ts:91

### Protected i18n

i18n: I18n

Overrides Notification.i18n

- Defined in src/notification/toast.component.ts:90

### notification

@ViewChild({"selector":"notification","opts":"{ static: false }"})
notification: any

Inherited from Notification.notification

- Defined in src/notification/notification.component.ts:109

### notificationClass

@HostBinding({"hostPropertyName":"class.bx--inline-notification"})
notificationClass: boolean = true

Inherited from Notification.notificationClass

- Defined in src/notification/notification.component.ts:112

### Protected notificationDisplayService

notificationDisplayService: NotificationDisplayService

Overrides Notification.notificationDisplayService

- Defined in src/notification/toast.component.ts:89

### notificationID

@HostBinding({"hostPropertyName":"attr.id"})
notificationID: string = `notification-${Notification.notificationCount++}`

Inherited from Notification.notificationID

- Defined in src/notification/notification.component.ts:111

### notificationObj

@Input()
notificationObj: ToastContent

Overrides Notification.notificationObj

- Defined in src/notification/toast.component.ts:76

### role

@HostBinding({"hostPropertyName":"attr.role"})
role: string = "alert"

Overrides Notification.role

- Defined in src/notification/toast.component.ts:80

### toastClass

@HostBinding({"hostPropertyName":"class.bx--toast-notification"})
toastClass: boolean = true

- Defined in src/notification/toast.component.ts:79

### toastID

@HostBinding({"hostPropertyName":"attr.id"})
toastID: string = `toast-${Toast.toastCount++}`

- Defined in src/notification/toast.component.ts:78

### Static Private toastCount

toastCount: number = 0

- Defined in src/notification/toast.component.ts:70

## Accessors

### isCloseHidden

@HostBinding({"hostPropertyName":"class.bx--inline-notification--hide-close-button"})
isCloseHidden:

Inherited from Notification.isCloseHidden

- Defined in src/notification/notification.component.ts:120

### isError

@HostBinding({"hostPropertyName":"class.bx--toast-notification--error"})
isError:

Overrides Notification.isError

- Defined in src/notification/toast.component.ts:82

### isInfo

@HostBinding({"hostPropertyName":"class.bx--toast-notification--info"})
isInfo:

Overrides Notification.isInfo

- Defined in src/notification/toast.component.ts:83

### isLowContrast

@HostBinding({"hostPropertyName":"class.bx--toast-notification--low-contrast"})
isLowContrast:

Overrides Notification.isLowContrast

- Defined in src/notification/toast.component.ts:86

### isSuccess

@HostBinding({"hostPropertyName":"class.bx--toast-notification--success"})
isSuccess:

Overrides Notification.isSuccess

- Defined in src/notification/toast.component.ts:84

### isWarning

@HostBinding({"hostPropertyName":"class.bx--toast-notification--warning"})
isWarning:

Overrides Notification.isWarning

- Defined in src/notification/toast.component.ts:85

## Methods

### destroy

- destroy(): void

- Inherited from Notification.destroy

  - Defined in src/notification/notification.component.ts:151

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in src/notification/toast.component.ts:97

  #### Returns void

### onClick

- onClick(action: any, event: any): void

- Inherited from Notification.onClick

  - Defined in src/notification/notification.component.ts:140

  #### Parameters

  - ##### action: any

  - ##### event: any

  #### Returns void

### onClose

- onClose(): void

- Inherited from Notification.onClose

  - Defined in src/notification/notification.component.ts:136

  #### Returns void

## Object literals

### Protected defaultNotificationObj

defaultNotificationObj: object

Inherited from Notification.defaultNotificationObj

- Defined in src/notification/notification.component.ts:122

### closeLabel

closeLabel: any = this.i18n.get("NOTIFICATION.CLOSE_BUTTON")

- Defined in src/notification/notification.component.ts:127

### message

message: string = ""

- Defined in src/notification/notification.component.ts:124

### showClose

showClose: boolean = true

- Defined in src/notification/notification.component.ts:126

### title

title: string = ""

- Defined in src/notification/notification.component.ts:123

### type

type: string = "info"

- Defined in src/notification/notification.component.ts:125

Generated using TypeDoc